Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::tuple_apply_fn Struct Reference
Utility

## Public Member Functions
template<typename Fun , typename Tup >
constexpr auto | operator() (Fun &&fun, Tup &&tup) const noexcept(noexcept(tuple_apply_fn::impl(static_cast< Fun && >(fun), static_cast< Tup && >(tup), tuple_indices_t< Tup >{}))) -> decltype(tuple_apply_fn::impl(static_cast< Fun && >(fun), static_cast< Tup && >(tup), tuple_indices_t< Tup >